Get profile role conversion

Returns the conversion rate between two lifecycle states, optionally scoped to a specific class. The start_state_count is the number of profiles that reached the starting state; end_state_count is those that also reached the end state. conversion_rate is end_state_count / start_state_count.

Query Parameters
  • start_state
    Type: string

    Required. A string of a role state as defined in settings.

  • end_state
    Type: string

    Required. A string of a role state as defined in settings.

  • contextt_id
    Type: string

    Required. ID of a class

Responses
  • application/json
  • application/json
  • application/json
Request Example for get/apis/data/profiles/roles/conversion
curl 'https://ff-business-school.fullfabric.cloud/apis/data/profiles/roles/conversion?start_state=&end_state=&contextt_id=' \
  --header 'FF-Auth: YOUR_SECRET_TOKEN'
{
  "start_state": "prospect::engaged",
  "end_state": "applicant::submitted",
  "start_state_count": 312,
  "end_state_count": 187,
  "conversion_rate": 0.5993589743589743
}